-- Main.lua
-- Originally written by Rod, extended by Habna


import "Turbine.Gameplay";
import "HabnaPlugins.HugeBagWidget";
import "HabnaPlugins.HugeBagWidget.frmMainWidget";

Version = "1.1.17"; --> ** HugeBag current version **

frmMain = frmMain();

HugeBagCommand = Turbine.ShellCommand();

function HugeBagCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		ShowHugeBag()
	elseif ( arguments == "hide" ) then
		HideHugeBag()
	--[[
	elseif ( arguments == "unload" ) then
		--UnloadHugeBag()
	elseif ( arguments == "reload" ) then
		--ReloadHugeBag()
	]]
	elseif ( arguments == "resetall" ) then
		ResetSettings()
	elseif ( arguments == "toggleshow" ) then
		WrapperChecker();
		if not loaded then
			ToggleShow()
		else
			write( "HugeBag: This option is disabled when using the wrapper" );
		end
	elseif ( arguments == "togglewesc" ) then
		WrapperChecker();
		if not loaded then
			ToggleWEsc()
		else
			write( "HugeBag: This option is disabled when using the wrapper" );
		end
	elseif ( arguments == "about" ) then
		ShowAbout()
	elseif ( arguments == "sort" ) then
		SortHugeBag()
	elseif ( arguments == "help" or arguments == "?") then
		HelpInfo()
	else
		write( "HugeBag: Command not supported" );
	end
end
Turbine.Shell.AddCommand( "HugeBag", HugeBagCommand );